import 'videojs-contrib-quality-levels'
import type { QualityLevelList } from 'videojs-contrib-quality-levels'

export const createQualitySelector = (player: any) => {
  const qualityLevels: QualityLevelList = player.qualityLevels()

  const myButton = player.controlBar.addChild('button')
  const myButtonDom = myButton.el()
  myButtonDom.innerHTML = 'Hello'

  myButtonDom.addEventListener('click', () => {})

  qualityLevels.on('change', function () {
    console.log('Quality Level changed!')
    console.log('New level:', qualityLevels[qualityLevels.selectedIndex])
    console.log(qualityLevels)

    const qualityLabel = qualityLevels[qualityLevels.selectedIndex].height?.toString() + 'p'

    myButtonDom.textContent = qualityLabel ?? ''
  })
}
